Page MenuHomePhabricator

Hovercards: Only have Hovercards turned on for links to $wgContentNamespaces
Closed, ResolvedPublic

Description

List of Pages where hover cards should be turned off:

  • Article History

Version: unspecified
Severity: enhancement

Details

Reference
bz63181

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:51 AM
bzimport added a project: Page-Previews.
bzimport set Reference to bz63181.

https://www.mediawiki.org/wiki/MediaWiki/Homepage_redesign/Preview

Hovering on "User Guide", "Development" etc produces misplaced hovercards.

-Article History
-Talk Page for the article
-Homepage - User Guide, Development

Lets try to get the list of pages together in the thursday meeting so Prateek can submit the patch for this.

Dan, Assigning this to you so you can drive the final list.

Renaming to reflect the consensus of the team.

We still need the list of where all it "doesn't" need to show up because that is how I'll have to write the code. It'll have to be subtractive. Sorry, I didn't realize this during the call.

Dan:
Do you/we want it to only function /in/ the main namespace?
Or, to only function for /links to/ the main namespace?
I assume both are possible.

Prateek:
Re: lists, possibly you're looking for [[Wikipedia:Namespace]] and [[wikt:Wiktionary:Namespace]] and [[m:Help:Namespace]] ?

(In reply to Quiddity from comment #6)

Dan:
Do you/we want it to only function /in/ the main namespace?
Or, to only function for /links to/ the main namespace?
I assume both are possible.

I think a tightly narrowed focus would give us the best success for the first release, so I think having it only function in the mainspace would be best.

@Prateek: Note that Dan and I discussed this in today's meeting, and he's going to be giving the matter more thought. So don't change anything yet. ;)

(Ie. It /might/ be worth continuing to allow Hovercards to function for links /to/ mainspace articles, from other namespaces. Eg. a link to [Foobar] in the [WP:Village pump (technical)].

I'm in agreement with Quiddity. I think it would be preferable for Hovercards to function for links /to/ the main namespace, even when on pages in other namespaces.

I guess keeping the links would only make sense once bug 65117 is resolved.

What about the other content namespaces in $wgContentNamespaces?

(In reply to Helder from comment #11)

What about the other content namespaces in $wgContentNamespaces?

Errr. That'll teach me for not adding my hesitation within a comment! IANAD. I was just trying to amend the (old old) summary, to be clearer. Please fix it, in a way that makes the most sense. (Perhaps: "Only have Hovercards turned on for links to $wgContentNamespaces" ?) Thanks.

Quiddity moved this task from Backlog to Next Up on the Page-Previews board.Dec 12 2014, 2:40 AM
Jaredzimmerman-WMF removed Deskana as the assignee of this task.Dec 12 2014, 3:49 AM
Jaredzimmerman-WMF set Security to None.
Ricordisamoa updated the task description. (Show Details)Mar 30 2015, 2:31 PM
Ricordisamoa added a subscriber: Ricordisamoa.
Deskana removed a subscriber: Deskana.Mar 30 2015, 2:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2016, 9:53 PM
Krinkle removed a subscriber: Krinkle.Mar 22 2016, 10:46 PM
phuedx closed this task as Resolved.Jun 2 2016, 9:33 AM
phuedx claimed this task.
phuedx added subscribers: wctaiwan, phuedx.

AFAICT this was fixed by @wctaiwan in 642bdf0 as part of T93605.